Sspi.SecPkgInfo (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Sspi, class: SecPkgInfo

Package com.sun.jna.platform.win32

# Class Sspi.SecPkgInfo

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecPkgInfo

Direct Known Subclasses:
  `Sspi.SecPkgInfo.ByReference`

Enclosing interface:
  Sspi

@FieldOrder({"fCapabilities","wVersion","wRPCID","cbMaxToken","Name","Comment"}) public static class Sspi.SecPkgInfo extends Structure
The SecPkgInfo structure provides general information about a security package, such as its name and capabilities.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Sspi.SecPkgInfo.ByReference`
  A reference pointer to a SecPkgInfo structure.

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbMaxToken`
  Specifies the maximum size, in bytes, of the token.
  `String`
  `Comment`
  Pointer to a null-terminated string.
  `int`
  `fCapabilities`
  Set of bit flags that describes the capabilities of the security package.
  `String`
  `Name`
  Pointer to a null-terminated string that contains the name of the security package.
  `short`
  `wRPCID`
  Specifies a DCE RPC identifier, if appropriate.
  `short`
  `wVersion`
  Specifies the version of the package protocol.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecPkgInfo()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fCapabilities

    public int fCapabilities
    Set of bit flags that describes the capabilities of the security package.

  - ### wVersion

    public short wVersion
    Specifies the version of the package protocol. Must be 1.

  - ### wRPCID

    public short wRPCID
    Specifies a DCE RPC identifier, if appropriate. If the package does not implement one of the DCE registered security systems, the reserved value SECPKG_ID_NONE is used.

  - ### cbMaxToken

    public int cbMaxToken
    Specifies the maximum size, in bytes, of the token.

  - ### Name

    public String Name
    Pointer to a null-terminated string that contains the name of the security package.

  - ### Comment

    public String Comment
    Pointer to a null-terminated string. This can be any additional string passed back by the package.

- ## Constructor Details

  - ### SecPkgInfo

    public SecPkgInfo()